## ratproxy 1.58+dfsg

=== debian/changelog ===
ratproxy (1.58+dfsg-3build1) oneiric; urgency=low

  * Rebuild for OpenSSL 1.0.0.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 17 May 2011 11:44:19 +0100

ratproxy (1.58+dfsg-3) unstable; urgency=low

  * [27c2bfb] Fix SSL proxying by including the ssl certificate
    (LP: #544097)
  * [dca3f0d] Switch to my debian address and remove DM-Upload-
    Allowed.
  * [b399fa3] Standards version 3.8.4 (no changes needed)

 -- Iustin Pop <iustin@debian.org>  Sun, 18 Apr 2010 20:40:07 +0200

ratproxy (1.58+dfsg-2) unstable; urgency=low

  * Switch to source format 3.0 (quilt)
  * Standards version 3.8.3 (no changes needed)
  * Change section per the archive override

 -- Iustin Pop <iusty@k1024.org>  Fri, 25 Dec 2009 09:38:41 +0100

ratproxy (1.58+dfsg-1) unstable; urgency=low

  [ Iustin Pop ]
  * New Upstream Version
  * Removed Patrick from uploaders (per his request)
  * Update standards version to 3.8.2 (no changes needed)

  [ Guido Trotter ]
  * Set Dm-Upload-Allowed: yes

 -- Iustin Pop <iusty@k1024.org>  Tue, 28 Jul 2009 20:46:56 +0200

ratproxy (1.57+dfsg-1) unstable; urgency=low

  * New upstream release
  * Document how to use flare (the flash decompiler) in README.Debian,
    and patch the source to execute it only from path instead of first
    trying the current directory

 -- Iustin Pop <iusty@k1024.org>  Thu, 23 Apr 2009 00:01:34 +0200

ratproxy (1.56+dfsg-1) unstable; urgency=low

  * New upstream release (ITP was filled long time ago)
  * Add manpages for the two binaries
  * Standard version 3.8.1 (no changes)

 -- Iustin Pop <iusty@k1024.org>  Fri, 10 Apr 2009 13:17:00 +0200

ratproxy (1.51+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #489278)
  * Repack upstream tarball to remove flare-dist which is closed-source

 -- Patrick Schoenfeld <schoenfeld@in-medias-res.com>  Sat, 05 Jul 2008 14:55:23 +0200
