=== debian/control ===
Source: ratproxy
Section: web
Priority: extra
Maintainer: Iustin Pop <iustin@debian.org>
Build-Depends: debhelper (>= 5), libssl-dev
Standards-Version: 3.8.4
Homepage: http://code.google.com/p/ratproxy/
Vcs-Browser: http://git.debian.org/?p=collab-maint/ratproxy.git
Vcs-Git: git://git.debian.org/git/collab-maint/ratproxy.git

Package: ratproxy
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: passive web application security assessment tool
 A semi-automated, largely passive web application security audit tool,
 optimized for an accurate and sensitive detection, and automatic
 annotation, of potential problems and security-relevant design patterns
 based on the observation of existing, user-initiated traffic in complex
 web 2.0 environments.
 .
 Detects and prioritizes broad classes of security problems, such as
 dynamic cross-site trust model considerations, script inclusion issues,
 content serving problems, insufficient XSRF and XSS defenses, and much
 more.
