=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

INSTDIR=$(CURDIR)/debian/ratproxy

get-orig-source:
	set -ex; tempdir=$$(mktemp -d) && targetdir=$$(cd ..; pwd) && \
        version=$$(uscan --no-download --dehs | \
                sed -n 's/.*<upstream-version>\(.*\)<\/upstream-version>.*/\1/p') && \
                uscan --destdir $${tempdir} --force-download && \
                cd $${tempdir} && tar xzf ratproxy_$${version}.orig.tar.gz && \
                mv ratproxy ratproxy-$${version}.orig && \
                rm -rf ratproxy-$${version}.orig/flare-dist \
				  ratproxy-$${version}.orig/flare && \
                GZIP="--best --rsyncable" tar czf $$targetdir/ratproxy_$${version}+dfsg.orig.tar.gz ratproxy-$${version}.orig && \
                rm -rf $${tempdir}

build: build-stamp
build-stamp:
	dh_testdir
	$(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	$(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	# Add here commands to install the package into debian/ratproxy.
	#$(MAKE) DESTDIR=$(CURDIR)/debian/ratproxy install
	install -m 0755 ratproxy \
	    $(INSTDIR)/usr/bin/ratproxy
	install -m 0755 ratproxy-report.sh \
	    $(INSTDIR)/usr/bin/ratproxy-report
	install -m 0644 ratproxy-back.png \
	    $(INSTDIR)/usr/share/images/ratproxy/ratproxy-back.png
	install -m 0644 messages.list \
	    $(INSTDIR)/usr/share/ratproxy/messages.list
	install -m 0644 keyfile.pem \
	    $(INSTDIR)/usr/share/ratproxy/keyfile.pem

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
