=== debian/watch ===
version=3
opts="dversionmangle=s/\+dfsg//" \
http://code.google.com/p/ratproxy/downloads/list http://ratproxy.googlecode.com/files/ratproxy-(.*).tar.gz
